<?php 
if ( ! defined( 'ABSPATH' ) ) {
    exit; 
}

$key = get_option('evp_key');
?>
<div class="wrap">
    <h1><?php _e('License Settings', 'Elite-video-player'); ?></h1>
    <p><?php _e("This page allows you to activate or deactivate your Elite Video Player license. Please enter your Envato purchase code to activate your license. If you don't know where to find your purchase code, see the instructions below.", 'Elite-video-player'); ?></p>
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><?php _e('Envato Purchase Code', 'Elite-video-player'); ?></th>
            <td>
                <input type="text" id="envato_purchase_license" name="envato_purchase_license" value="<?php echo esc_attr( $key ); ?>" style="width: 300px;" />
                <input type="button" disabled id="verify-license" class="button button-primary" value="<?php _e('Activate', 'real3d-flipbook'); ?>" style="<?php echo empty($key) ? '' : 'display: none;'; ?>" />
                <input type="button" id="deactivate" class="button button-primary" value="<?php _e('Deactivate', 'real3d-flipbook'); ?>" style="<?php echo !empty($key) ? '' : 'display: none;'; ?>" />
            </td>
        </tr>
    </table>
    <div>
        <h2><?php _e('Where to Find Your Envato Purchase Code', 'Elite-video-player'); ?></h2>
        <ol>
            <li><?php _e('Log in to your Envato Market account.', 'Elite-video-player'); ?></li>
            <li><?php _e('Hover over your username at the top of the screen.', 'Elite-video-player'); ?></li>
            <li><?php _e('Click \'Downloads\' from the drop-down menu.', 'Elite-video-player'); ?></li>
            <li><?php _e('Find the Elite Video Player item and click \'License certificate & purchase code\' (available as PDF or text file).', 'Elite-video-player'); ?></li>
        </ol>
    </div>
</div>
<?php
wp_enqueue_script("elite_player_license", plugins_url()."/Elite-video-player/js/license.min.js", array('jquery'), ELITE_PLAYER_VERSION);
$evp_nonce = wp_create_nonce( "evp_nonce");
wp_localize_script( 'elite_player_license', 'evp_ajax', array($evp_nonce, $key) );
?>
